// File ImportAnsys.h by az

#ifndef IMPORT_ANSYS_H
#define IMPORT_ANSYS_H

#include "ImportFormat.h"

#include <QWidget>

class QString;
class QFile;
class QLabel;
class RTMSimulator;

/**
 * @brief Class that is used to import files in Ansys format.
 */
class ImportAnsys : public ImportFormat
{
    int m_numberOfNodes;
    int m_numberOfElements;

private:
    bool readSizeInformation(QFile* pFile);
    bool importNodes(QFile* pFile);
    bool importConnections(QFile* pFile);
    void read(QFile* pFile);

public:
    ImportAnsys(QFile* pFile, RTMSimulator* pSimulator);
    ImportAnsys(QString strFile, RTMSimulator* pSimulator);
};

#endif //IMPORT_ANSYS_H
